Package org.apache.sysds.runtime.instructions.spark

# Class CtableSPInstruction.MapJoinSignature3

java.lang.Object
org.apache.sysds.runtime.instructions.spark.CtableSPInstruction.MapJoinSignature3

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<scala.Tuple2<scala.Tuple2<MatrixBlock,MatrixBlock>,MatrixBlock>,MatrixBlock[]>`

Enclosing class:
  CtableSPInstruction

public static class CtableSPInstruction.MapJoinSignature3 extends Object implements org.apache.spark.api.java.function.Function<scala.Tuple2<scala.Tuple2<MatrixBlock,MatrixBlock>,MatrixBlock>,MatrixBlock[]>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MapJoinSignature3()`

## Method Summary

Modifier and Type
Method
Description
`MatrixBlock[]`
`call(scala.Tuple2<scala.Tuple2<MatrixBlock,MatrixBlock>,MatrixBlock> v1)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MapJoinSignature3

public MapJoinSignature3()

## Method Details

### call

public MatrixBlock[] call(scala.Tuple2<scala.Tuple2<MatrixBlock,MatrixBlock>,MatrixBlock> v1) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<scala.Tuple2<scala.Tuple2<MatrixBlock,MatrixBlock>,MatrixBlock>,MatrixBlock[]>`
Throws:
  `Exception`